<!-- sign 签到 -->
<template>
  <div>
    <span v-if="show" :class="userinfo.has_sign | has_sign_class" class="sign_btn" @click="handelSign">{{userinfo.has_sign | has_sign}}</span>
  </div>
</template>

<script>

export default {
  name: 'sign',
  props: {
    show: {
      default: true,
      type: Boolean
    }
  },
  data() {
    return {

    }
  },

  methods: {
    //初始化方法
    init() {

    },

    handelSign() {
      if (this.userinfo.has_sign == 1) {
        return Promise.reject()
      }
      this.m_loading()
      return this.api.user_sign().then(res => {
        this.getUserinfo()
        this.m_hideLoading()
        this.$dialog.alert({
  title: '签到成功',
  message: res.data
}).then(() => {
  // on close
});
        return res


      })
    }
  },

  filters: {
    //has_sign  是否已经签到 0:否  1:是
    has_sign(v) {
      if (v == 0) {
        return '签到'
      }
      return '已签到'
    },

    has_sign_class(v) {
      if (v == 0) {
        return 'sign_btn0'
      }
      return 'sign_btn0'

    }
  },
}

</script>
<style lang='scss' scoped>
.sign_btn {

  display: inline-block;
  padding: 0.05rem 0.2rem;
  font-size: 0.24rem;
  border-radius: 0.2rem;
 
}

.sign_btn0 {
  background: #fff;
  color: #4D8EFF;
}

.sign_btn1 {
  background: #A4C5FF;
  color: #4D8EFF;
}
</style>